## GstVaapiWindowDRM GstVaapiWindowDRM — VA/DRM dummy window abstraction |

## Functions

GstVaapiWindow * | gst_vaapi_window_drm_new ()

## Description

## Functions

### gst_vaapi_window_drm_new ()

    GstVaapiWindow *
    gst_vaapi_window_drm_new (GstVaapiDisplay *display,
                              guint width,
                              guint height);

Creates a dummy window. The window will be attached to the `display` . All rendering functions will return success since VA/DRM is a renderless API.

Note: this dummy window object is only necessary to fulfill cases where the client application wants to automatically determine the best display to use for the current system. As such, it provides utility functions with the same API (function arguments) to help implement uniform function tables.

#### Parameters

display | a GstVaapiDisplay |
width | the requested window width, in pixels (unused) |
height | the requested windo height, in pixels (unused) |

#### Returns

the newly allocated GstVaapiWindow object

## Types and Values